curl --request POST \
--url https://api.gcore.com/cloud/v3/gpu/virtual/{project_id}/{region_id}/check_limits \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"flavor": "g3-ai-32-192-1500-l40s-48-1",
"servers_count": 3,
"servers_settings": {
"interfaces": [
{
"type": "external",
"ip_family": "ipv4",
"name": "eth0",
"port_security_enabled": true,
"security_groups": [
{
"id": "b4849ffa-89f2-45a1-951f-0ae5b7809d98"
}
]
}
],
"volumes": [
{
"size": 100,
"source": "new",
"type": "ssd"
}
]
}
}
'import requests
url = "https://api.gcore.com/cloud/v3/gpu/virtual/{project_id}/{region_id}/check_limits"
payload = {
"flavor": "g3-ai-32-192-1500-l40s-48-1",
"servers_count": 3,
"servers_settings": {
"interfaces": [
{
"type": "external",
"ip_family": "ipv4",
"name": "eth0",
"port_security_enabled": True,
"security_groups": [{ "id": "b4849ffa-89f2-45a1-951f-0ae5b7809d98" }]
}
],
"volumes": [
{
"size": 100,
"source": "new",
"type": "ssd"
}
]
}
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
flavor: 'g3-ai-32-192-1500-l40s-48-1',
servers_count: 3,
servers_settings: {
interfaces: [
{
type: 'external',
ip_family: 'ipv4',
name: 'eth0',
port_security_enabled: true,
security_groups: [{id: 'b4849ffa-89f2-45a1-951f-0ae5b7809d98'}]
}
],
volumes: [{size: 100, source: 'new', type: 'ssd'}]
}
})
};
fetch('https://api.gcore.com/cloud/v3/gpu/virtual/{project_id}/{region_id}/check_limits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"baremetal_network_count_limit": 1,
"baremetal_network_count_requested": 1,
"baremetal_network_count_usage": 1,
"external_ip_count_limit": 10,
"external_ip_count_requested": 1,
"external_ip_count_usage": 1,
"floating_count_limit": 1,
"floating_count_requested": 1,
"floating_count_usage": 1,
"gpu_virtual_a100_count_limit": 10,
"gpu_virtual_a100_count_requested": 1,
"gpu_virtual_a100_count_usage": 1,
"gpu_virtual_h100_count_limit": 10,
"gpu_virtual_h100_count_requested": 1,
"gpu_virtual_h100_count_usage": 1,
"gpu_virtual_h200_count_limit": 10,
"gpu_virtual_h200_count_requested": 1,
"gpu_virtual_h200_count_usage": 1,
"gpu_virtual_l40s_count_limit": 10,
"gpu_virtual_l40s_count_requested": 1,
"gpu_virtual_l40s_count_usage": 1,
"volume_count_limit": 10,
"volume_count_requested": 1,
"volume_count_usage": 1,
"volume_size_limit": 10,
"volume_size_requested": 1,
"volume_size_usage": 1
}Check virtual GPU cluster quota
Check if regional quota is exceeded for virtual GPU cluster creation. If exceeded, calculate additional quotas needed.
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234_abcdef
Path Parameters
Project ID
1
Region ID
7
Body
Response
OK
Bare metal Network Count limit
1
Bare metal Network Count requested
1
Bare metal Network Count usage
1
External IP Count limit
10
External IP Count requested
1
External IP Count usage
1
Floating IP Count usage
1
Floating IP Count requested
1
External IP Count requested
1
Virtual A100 GPU card count limit
10
Virtual A100 GPU card count requested
1
Virtual A100 GPU card count usage
1
Virtual H100 GPU card count limit
10
Virtual H100 GPU card count requested
1
Virtual H100 GPU card count usage
1
Virtual H200 GPU card count limit
10
Virtual H200 GPU card count requested
1
Virtual H200 GPU card count usage
1
Virtual L40S GPU card count limit
10
Virtual L40S GPU card count requested
1
Virtual L40S GPU card count usage
1
Volumes Count limit
10
Volumes Count requested
1
Volumes Count usage
1
Volumes Size, GiB limit
10
Volumes Size, GiB requested
1
Volumes Size, GiB usage
1
Was this page helpful?